Bug 495651 - [RFE] Unable to Update Test Type(s) - Generic Test List Added to RHTS
[RFE] Unable to Update Test Type(s) - Generic Test List Added to RHTS
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 05:18 EDT by CAI Qian
Modified: 2012-09-27 22:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 22:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CAI Qian 2009-04-14 05:18:27 EDT
Description of problem:
I have some tests using "Type: 47zRegression" and "Type: 47zStress" in
testinfo.desc files, but after "make submit" to the test repository, it
can't be used, and the not listed in the webpage here,

https://rhts.redhat.com/cgi-bin/rhts/test.cgi?id=2789

Also, -y 47zRegression via workflows is not working.

$ kernel_workflow.py -X -d RHEL4-U7 -u caiqian@redhat.com -S
rhts.redhat.com -y 47zRegression
<ServerProxy for rhts.redhat.com/cgi-bin/rhts/scheduler_xmlrpc.cgi>
Test Type:['47zRegression']

List relevant Test = []
No tests specified! No reason to continue!

Version-Release number of selected component (if applicable):
rhts-release-2-0.noarch
rhtslib-0.6-1.noarch
rhts-devel-test-env-3.3-18.noarch
rhts-legacy-3.5.0-20090330.1.noarch
rhts-devel-python-3.3-18.noarch
rhts-devel-3.3-18.noarch
rhts-scheduler-workflows-3.5.0-20090330.1.noarch
rhts-rh-devel-3.5.0-20090330.1.noarch

How reproducible:
always
Comment 1 CAI Qian 2009-04-14 11:39:37 EDT
This is now used to track RHTS enhancement to support more flexible test types, which currently need to add to scheduler.sql.
Comment 2 Bill Peck 2010-04-07 08:37:05 EDT
Notice:

Legacy RHTS is soon to be retired and replaced by Beaker. As part of
this migration process all RHTS bugs need to be re-verified against a
Beaker instance by the cut-off date

   5pm Monday April 12th UTC-4. 

Please confirm this bug is still relevant to Beaker by re-verifying it
against the stage deployment of Beaker https://beaker-stage.app.eng.bos.redhat.com.

To keep this bug open please comment on it

If it has not received a comment by that date the bug will be closed/wontfix.

After the cutoff date all commented bugs will be moved to the Beaker
product.


thank you
Comment 3 CAI Qian 2010-04-07 09:36:29 EDT
This is still the case for Beaker
Comment 4 Bill Peck 2010-04-07 09:44:08 EDT
Can you remove rhts-lint from your makefile target and try again?
Comment 5 CAI Qian 2010-04-07 12:10:27 EDT
Yes, still the same problem.

http://rhts.redhat.com/cgi-bin/rhts/test.cgi?id=2708

I have added a "Type: 47zRegression", and uploaded it. However, I saw no type mentioned in the above line, and workflow failed to find it,

$ kernel_workflow.py -d RHEL4-U7 -u caiqian@redhat.com -S rhts.redhat.com -y 47zRegression
No tests specified! No reason to continue!
Comment 6 CAI Qian 2010-05-23 03:55:19 EDT
Not sure why this has been in the MODIFIED status.
Comment 7 Dan Callaghan 2012-09-27 22:32:29 EDT
Beaker does not constrain the values of Type in the test metadata, it will accept and store any values given.

Note You need to log in before you can comment on or make changes to this bug.